"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1084220e0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x108422170>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x108422200>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x108422290>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x108422320>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1084223b0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x108422440>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1084224d0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x108422560>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1084225f0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x108422680>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x108422710>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1084227a0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x108422830>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1084228c0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x108422950>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1084229e0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x108422a70>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x108422b00>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x108422b90>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x108422c20>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x108422cb0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x108422d40>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x108422dd0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x108422ef0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x108422e60>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x108422f80>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x108423010>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1084230a0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x108423130>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1084231c0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x108423250>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1084232e0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x108423370>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x108423400>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x108423490>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x108423520>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1084235b0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108423640>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1084236d0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108423760>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1084237f0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x108423880>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x108423910>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1084239a0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x108423a30>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x108423ac0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108423b50>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108423be0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x108423c70>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x108423d00>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x108423d90>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x108423e20>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x108423eb0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x108423f40>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x108454040>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1084540d0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x108454160>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1084541f0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x108454280>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x108454310>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x1084543a0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x108454430>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1084544c0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x108454550>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x108454700>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1084545e0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x108454790>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x108454820>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1084548b0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x108454940>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1084549d0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x108454af0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x108454a60>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x108454b80>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x108454c10>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x108454ca0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x108454dc0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x108454d30>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x108454e50>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x108454ee0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x108454f70>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x108455000>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x108455090>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x108455120>)]
name: str = 'fr_HOCCN'
